#!/bin/bash
ssh zamok tail -n 0 -f .weechat/logs/crans/*/*/laloutre.log \
| while read line; do
    echo "${line}" | grep "notify"
    if [ $? = 0 ]
    then
        # On enlève le timestamp
        line=$(echo "${line}" | sed 's/^....-..-.. ..:..:..\t//')
        # On isole le pseudo.
        pseudo=$(echo "${line}" | sed 's/^\([^\t]\+\)\t.*/\1/')
        line=$(echo "${line}" | sed 's/^[^\t]\+\t//')
        # On notifie avec en titre le pseudo et en contenu le reste de la ligne
        notify-send -i /home/vincent/otter.gif "${pseudo}" "${line}"
    fi
done
