#!/bin/bash
# Pour établir un tunnel entre ici et cerebro en passant par le dptinfo
#  et faire passer dedans tout le traffic vers la zone crans


if [ $UID = 0 ]
then
	# On ouvre la connexion ssh à travers le dptinfo
	# en créant les interfaces réseau (-w 10:10)
	# et on lance là-bas le script qui va faire ce qu'il faut à l'autre bout
	ssh -f -o Tunnel=ethernet -o ProxyCommand="ssh vlegalli@ssh.dptinfo.ens-cachan.fr nc -q 30 cerebro.crans.org 22" -w 10:10 -o pubkeyauthentication=no root@cerebro.crans.org /home/vincent/scripts/tunnel_setup.sh

	# on allume l'interface réseau
	ip l set tap10 up
	# on lui donne une IP
	ip a add 10.3.0.2/24 dev tap10
	# on route le traffic
	ip r add 138.231.136.0/21 via 10.3.0.1
	ip r add 138.231.144.0/21 via 10.3.0.1
else
	echo "Et le sudo crétin ?"
fi
